Ask Your Question
1

Cannot locate rosdep definition when install autoware.auto w/o ade [closed]

asked 2021-04-08 03:46:55 -0500

Yanray47 gravatar image

When I followed this link to install ROS2 and autoware.auto. I got a error after rosdep install -y -i --from-paths src

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
autoware_auto_avp_demo: Cannot locate rosdep definition for [robot_localization]
parking_planner_nodes: Cannot locate rosdep definition for [lanelet2_core]
had_map_utils: Cannot locate rosdep definition for [lanelet2]
velodyne_nodes: Cannot locate rosdep definition for [udp_driver]
rosbridge_server: Cannot locate rosdep definition for [rosauth]
kalman_filter: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
off_map_obstacles_filter: Cannot locate rosdep definition for [lanelet2_core]
raptor_can_dbc_parser: Cannot locate rosdep definition for [can_msgs]
lanelet2_global_planner: Cannot locate rosdep definition for [lanelet2_routing]
ndt_mapping_nodes: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
lanelet2_global_planner_nodes: Cannot locate rosdep definition for [lanelet2_core]
raptor_pdu: Cannot locate rosdep definition for [can_msgs]
xsens_nodes: Cannot locate rosdep definition for [serial_driver]
ssc_interface: Cannot locate rosdep definition for [automotive_platform_msgs]
behavior_planner: Cannot locate rosdep definition for [lanelet2_core]
autoware_auto_geometry: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
ros2_socketcan: Cannot locate rosdep definition for [can_msgs]
lanelet2_map_provider: Cannot locate rosdep definition for [lanelet2]
joystick_vehicle_interface_nodes: Cannot locate rosdep definition for [joy_linux]
lgsvl_interface: Cannot locate rosdep definition for [lgsvl_msgs]
pure_pursuit: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
parking_planner: Cannot locate rosdep definition for [lanelet2_core]
controller_common: Cannot locate rosdep definition for [apex_test_tools]
ndt_nodes: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
autoware_auto_tf2: Cannot locate rosdep definition for [orocos_kdl]
raptor_dbw_can: Cannot locate rosdep definition for [can_msgs]
optimization: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
ndt: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
localization_common: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
point_cloud_filter_transform_nodes: Cannot locate rosdep definition for [apex_test_tools]
lane_planner: Cannot locate rosdep definition for [lanelet2_traffic_rules]
mpc_controller: Cannot locate rosdep definition for [apex_test_tools]
localization_nodes: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
off_map_obstacles_filter_nodes: Cannot locate rosdep definition for [lanelet2_core]
point_cloud_mapping: Cannot locate rosdep definition for [osrf_testing_tools_cpp]
motion_common: Cannot locate rosdep definition for [apex_test_tools]

I have tried three types of ROS2 version: Focal Fossa (20.04) 64-bit installed from source, foxy installed from source and eloquent installed from binary. All have above problems.

I'm using Ubuntu18.04:bionic. Thank you for sharing!

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Yanray47
close date 2021-04-13 22:15:42.850841

Comments

Which branch/version/commit tag are you trying to install?

Josh Whitley gravatar image Josh Whitley  ( 2021-04-08 17:25:47 -0500 )edit

I cloned the latest files from autoware.auto and always on master branch. The commit ID is 5fc6c472eaec42b336c7b5af194584d6821f4100. I also sourced ros2 setup.bash and was able to run publisher.

Yanray47 gravatar image Yanray47  ( 2021-04-08 21:04:10 -0500 )edit

Basically, I followed this link to install ros2 foxy. Then this link to install Autoware.auto. Then I got the error after rosdep install -y -i --from-paths src

Yanray47 gravatar image Yanray47  ( 2021-04-09 01:23:05 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-04-09 16:19:46 -0500

Josh Whitley gravatar image

It looks like you need to source /opt/ros/foxy/setup.bash before running rosdep install. You can verify that this was done by running echo $ROS_DISTRO. If this returns foxy then you've already sourced it correctly. If not, echo $ROS_DISTRO will not return anything.

edit flag offensive delete link more

Comments

I found out there is no /opt/ros/foxy after installing ros2_foxy. By the way, I followed this page to install foxy. I do source ~/ros2_foxy/install/local_setup.bash. When I try echo $ROS_DISTRO, it returns foxy. However, if I used rosdep install -y -i --from-paths src, I still have the same error, like this lane_planner: No definition of [lanelet2_traffic_rules] for OS version [bionic]

Yanray47 gravatar image Yanray47  ( 2021-04-12 01:31:33 -0500 )edit

It looks like you're trying to build ROS Foxy on an Ubuntu 18.04 system. This is not a supported configuration. ROS Foxy only supports Ubuntu 20.04.

Josh Whitley gravatar image Josh Whitley  ( 2021-04-12 10:43:11 -0500 )edit

When I changed to Ubuntu 20.04. All problems solved.

Yanray47 gravatar image Yanray47  ( 2021-04-14 21:33:49 -0500 )edit

Question Tools

3 followers

Stats

Asked: 2021-04-08 03:46:55 -0500

Seen: 340 times

Last updated: Apr 09 '21